Subject: bug#63103: 30.0.50; nconc compiler optimization breaks user packages

From: Daniel Mendler <[email-masked]>
Date: Thu, 27 Apr 2023 07:34:39 +0200

The problem is that `(nconc list nil)` is optimized to `list`. However
improper lists like `(a b c . 0)` should be turned into `(a b c)`.

Daniel